.nav-toggle {
  position: fixed;
  top: 12px;
  right: 12px;
  z-index: 1000;

  width: 60px;
  height: 60px;

  border: 4px #FFF solid;
  border-radius: 50%;

  background: #111;
  color: #fff;
  font-size: 20px;

  cursor: pointer;
}

.nav-toggle img,
.slide-nav img {
  filter: invert(92%) sepia(91%) saturate(40%) hue-rotate(218deg) brightness(108%) contrast(100%);
  vertical-align: middle;
}
.slide-nav img {
  width: 1.1em;
  margin-top: 0.35rem;
}

.slide-nav {
  position: fixed;
  top: 0;
  right: -50%;
  width: 50%;
  max-width: 320px;
  height: 100%;

  background: #111;

  padding: 80px 24px;
  box-sizing: border-box;

  transition: right 0.3s ease;
  z-index: 999;
}

.slide-nav.active {
  right: 0;
}

.slide-nav ul{
  list-style: none;
  font-family: "M PLUS 1p";
  font-size: 1.001em;
  margin-top: 0;
  margin-bottom: 3em;
  padding-left: 0;
  line-height: 1.4em;
}

.slide-nav ul#common li {
  font-size: 0.6em;
}

.slide-nav ul li {
  margin-bottom: 0.4em;
  text-align: center;
}

.slide-nav ul li.list-home {
  font-size: 2em;
}

.slide-nav a {
  display: block;
  padding: 8px 0;
  color: #FFF;
}

.slide-nav a:hover {
  text-decoration: none;
}

.nav-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 998;
}

.nav-overlay.active {
  opacity: 1;
  pointer-events: auto;
}

/* ===============================
   PCビュー（768px以上）
================================ */
@media (min-width: 768px) {

  /* ハンバーガー非表示 */
  .nav-toggle {
    display: none;
  }

  /* スライド構造を解除 */
  .slide-nav {
    position: static;
    width: 100%;
    max-width: none;
    height: auto;
    right: 0;

    background: #111;

    margin: 0;
    margin-bottom: 1em;
    padding: 1em;
    
    transition: none;
  }

  .slide-nav ul {
    display: flex;
    justify-content: center;
    gap: 32px;

    margin: 0;
    padding:0;
  }

  .slide-nav ul li {
    margin-bottom: 0;
  }

  .slide-nav ul li.list-home {
    display: none;
  }

  .nav-overlay {
    display: none;
  }

}
